org.faceless.pdf2.viewer2.feature

## Class ThumbnailPanel.SinglePagePanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.faceless.pdf2.viewer2.feature.ThumbnailPanel.SinglePagePanel

- All Implemented Interfaces:
    Transferable, DragGestureListener, DragSourceListener, MouseListener, ImageObserver, MenuContainer, PropertyChangeListener, Serializable, Runnable, EventListener, Accessible
  Enclosing class:
    ThumbnailPanel

      public static class ThumbnailPanel.SinglePagePanel
      extends JPanel
      implements MouseListener, DragSourceListener, DragGestureListener, Transferable, PropertyChangeListener, Runnable

  A `JPanel` representing a single page image. These are the children of the `ThumbnailPanel.View` object. Instances of this class fire a "selected" `PropertyChangeEvent` when they are selected or deselected. If you're holding a reference to one of these objects, be advised they will be deleted when the page they are displaying is deleted or moved to another `ThumbnailPanel.View` (in that case a new SinglePagePanel is also created on the new View).

  There's generally no need to worry about this class unless you're implementing your owm `ThumbnailPanel.ThumbnailSelectionAction` and need to know which pages are selected.

  Since:
    2.12
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FLAG_CUT`
    `static int` | `FLAG_NONE`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotify()`
    `void` | `dragDropEnd(DragSourceDropEvent event)`
    `void` | `dragEnter(DragSourceDragEvent event)`
    `void` | `dragExit(DragSourceEvent event)`
    `void` | `dragGestureRecognized(DragGestureEvent event)`
    `void` | `dragOver(DragSourceDragEvent event)`
    `void` | `dropActionChanged(DragSourceDragEvent event)`
    `int` | `getFlags()` Returns the flags set on this item.
    `PDFPage` | `getPage()` Get the Page this SinglePagePanel contains
    `int` | `getPageNumber()`
    `Dimension` | `getPreferredSize()`
    `Object` | `getTransferData(DataFlavor flavor)`
    `DataFlavor[]` | `getTransferDataFlavors()`
    `boolean` | `isDataFlavorSupported(DataFlavor flavor)`
    `boolean` | `isSelected()` Return true if this page is selected
    `void` | `mouseClicked(MouseEvent event)`
    `void` | `mouseEntered(MouseEvent event)`
    `void` | `mouseExited(MouseEvent event)`
    `void` | `mousePressed(MouseEvent event)`
    `void` | `mouseReleased(MouseEvent event)`
    `void` | `paintComponent(Graphics g)`
    `void` | `propertyChange(PropertyChangeEvent event)`
    `void` | `removeNotify()`
    `void` | `run()` This is called only after the page is laoded.
    `void` | `setFlags(int flags)` Set the flags on this item.
    `void` | `setSelected(boolean selected)` Mark this page as selected.
    `String` | `toString()`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FLAG_NONE

          public static final int FLAG_NONE

      See Also:
        Constant Field Values

    - #### FLAG_CUT

          public static final int FLAG_CUT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### run

          public void run()

      This is called only after the page is laoded.
      Specified by:
        `run` in interface `Runnable`

    - #### getPreferredSize

          public Dimension getPreferredSize()

      Overrides:
        `getPreferredSize` in class `JComponent`

    - #### getPage

          public PDFPage getPage()

      Get the Page this SinglePagePanel contains

    - #### getPageNumber

          public int getPageNumber()

    - #### addNotify

          public void addNotify()

      Overrides:
        `addNotify` in class `JComponent`

    - #### removeNotify

          public void removeNotify()

      Overrides:
        `removeNotify` in class `JComponent`

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent event)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`

    - #### setSelected

          public void setSelected(boolean selected)

      Mark this page as selected. Fires a "selected" `PropertyChangeEvent`

    - #### isSelected

          public boolean isSelected()

      Return true if this page is selected

    - #### setFlags

          public void setFlags(int flags)

      Set the flags on this item.
      Parameters:
        `flags` - a bitmask of flags
      See Also:
        `FLAG_NONE`, `FLAG_CUT`

    - #### getFlags

          public int getFlags()

      Returns the flags set on this item.

    - #### paintComponent

          public void paintComponent(Graphics g)

      Overrides:
        `paintComponent` in class `JComponent`

    - #### mouseEntered

          public void mouseEntered(MouseEvent event)

      Specified by:
        `mouseEntered` in interface `MouseListener`

    - #### mouseExited

          public void mouseExited(MouseEvent event)

      Specified by:
        `mouseExited` in interface `MouseListener`

    - #### mouseClicked

          public void mouseClicked(MouseEvent event)

      Specified by:
        `mouseClicked` in interface `MouseListener`

    - #### mouseReleased

          public void mouseReleased(MouseEvent event)

      Specified by:
        `mouseReleased` in interface `MouseListener`

    - #### mousePressed

          public void mousePressed(MouseEvent event)

      Specified by:
        `mousePressed` in interface `MouseListener`

    - #### dragGestureRecognized

          public void dragGestureRecognized(DragGestureEvent event)

      Specified by:
        `dragGestureRecognized` in interface `DragGestureListener`

    - #### getTransferData

          public Object getTransferData(DataFlavor flavor)

      Specified by:
        `getTransferData` in interface `Transferable`

    - #### getTransferDataFlavors

          public DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported(DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `Transferable`

    - #### dragDropEnd

          public void dragDropEnd(DragSourceDropEvent event)

      Specified by:
        `dragDropEnd` in interface `DragSourceListener`

    - #### dragEnter

          public void dragEnter(DragSourceDragEvent event)

      Specified by:
        `dragEnter` in interface `DragSourceListener`

    - #### dragExit

          public void dragExit(DragSourceEvent event)

      Specified by:
        `dragExit` in interface `DragSourceListener`

    - #### dragOver

          public void dragOver(DragSourceDragEvent event)

      Specified by:
        `dragOver` in interface `DragSourceListener`

    - #### dropActionChanged

          public void dropActionChanged(DragSourceDragEvent event)

      Specified by:
        `dropActionChanged` in interface `DragSourceListener`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Component`

Copyright © 2001-2015 Big Faceless Organization